Bug in executing clip with polygon from another layer for Digitizing Toolbar
Status: Rejected

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.0.1 Regression?: No

Operating System: Windows 10, 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27622

Description

As reported on stackexchange, I have run into issues with the clip with polygon from another layer tool with the Digitizing toolbar.

https://gis.stackexchange.com/questions/295037/error-in-executing-clip-with-polygon-from-another-layer/295073#295073

Here is the error report:

TypeError: QgsCoordinateTransform(): arguments did not match any overloaded call: overload 1: too many arguments overload 2:

argument 1 has unexpected type 'int' overload 3: argument 1 has unexpected type 'int' overload 4: argument 1 has unexpected type 'int'

overload 5: argument 1 has unexpected type 'int'

Traceback (most recent call last): File

"C:\Users\Kellina\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\DigitizingTools\tools\dtclipper.py", line 107, in process

clipperCRSSrsid, projectCRSSrsid TypeError: QgsCoordinateTransform(): arguments did not match any overloaded call: overload 1: too

many arguments overload 2: argument 1 has unexpected type 'int' overload 3: argument 1 has unexpected type 'int'

overload 4: argument 1 has unexpected type 'int' overload 5: argument 1 has unexpected type 'int'

Version de Python : 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] Version de QGIS : 3.0.1-Girona

Girona, a86bec25eb

Chemin Python : C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python C:/Users/Kellina/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/Kellina/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins

C:\Program Files\QGIS 3.0\bin\python36.zip C:\PROGRA~1\QGIS3~1.0\apps\Python36\DLLs

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib C:\Program Files\QGIS 3.0\bin C:\PROGRA~1\QGIS3~1.0\apps\Python36

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib\site-packages C:/Users/Kellina/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:\Users\Kellina\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\DigitizingTools\tools J:/MRC Granit/identification des

MHH

History

#1 - 2018-09-07 10:53 PM - Harrissou Santanna

- Status changed from Open to Feedback

This seems to be a bug with the Digitizing tools plugin, in which case it should be reported in the plugin repo.

#2 - 2018-09-07 10:59 PM - Harrissou Santanna

This seems to be a bug with the Digitizing tools plugin, in which case it should be reported in the plugin repo.
https://gis.stackexchange.com/questions/295037/error-in-executing-clip-with-polygon-from-another-layer/295073#295073


OK I see that you've been already said that. The place to report is https://github.com/bstroebl/DigitizingTools/issues (seen in the plugin description) but I

invited the author to this discussion.

#3 - 2018-09-08 07:20 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Rejected

This belongs on https://github.com/bstroebl/DigitizingTools/issues  -- we have enough issues on this tracker without adding 3rd party plugin issues ;)

#4 - 2018-09-10 09:57 AM - Bernhard Ströbl

@Harrisou: thanks informing me

@KL Higgins: I will try to fix this problem today. However as a rule of thumb you should use the same CRS for your project and the layers you are editing.

#5 - 2018-09-10 03:23 PM - Bernhard Ströbl

Problem fixed in new release 1.2.0 of the plugin

#6 - 2018-09-11 03:23 PM - KL Higgins

Great for the quick fix! Sorry for my misuse of this platform. Digitizing tools is such a standard toolbar that I had thought it was part of the main build of

QGIS.
